org.keycloak.models.sessions.infinispan.changes

## Class SessionEntityWrapper<S extends SessionEntity>

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.changes.SessionEntityWrapper<S>

-     @SerializeWith(value=SessionEntityWrapper.ExternalizerImpl.class)
      public class SessionEntityWrapper<S extends SessionEntity>
      extends Object

  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SessionEntityWrapper.ExternalizerImpl`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `SessionEntityWrapper(Map<String,String> localMetadata, S entity)`
    `` | `SessionEntityWrapper(S entity)`
    `protected` | `SessionEntityWrapper(UUID version, Map<String,String> localMetadata, S entity)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `SessionEntityWrapper<S>` | `forTransport()`
    `static <S extends SessionEntity> SessionEntityWrapper<S>` | `forTransport(S entity)`
    `S` | `getEntity()`
    `Map<String,String>` | `getLocalMetadata()`
    `String` | `getLocalMetadataNote(String key)`
    `Integer` | `getLocalMetadataNoteInt(String key)`
    `UUID` | `getVersion()`
    `int` | `hashCode()`
    `void` | `putLocalMetadataNote(String key, String value)`
    `void` | `putLocalMetadataNoteInt(String key, int value)`
    `void` | `setVersion(UUID version)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionEntityWrapper

          protected SessionEntityWrapper(UUID version,
                                         Map<String,String> localMetadata,
                                         S entity)

    - #### SessionEntityWrapper

          public SessionEntityWrapper(Map<String,String> localMetadata,
                                      S entity)

    - #### SessionEntityWrapper

          public SessionEntityWrapper(S entity)

  - ### Method Detail

    - #### forTransport

          public static <S extends SessionEntity> SessionEntityWrapper<S> forTransport(S entity)

    - #### forTransport

          public SessionEntityWrapper<S> forTransport()

    - #### getVersion

          public UUID getVersion()

    - #### setVersion

          public void setVersion(UUID version)

    - #### getEntity

          public S getEntity()

    - #### getLocalMetadataNote

          public String getLocalMetadataNote(String key)

    - #### putLocalMetadataNote

          public void putLocalMetadataNote(String key,
                                           String value)

    - #### getLocalMetadataNoteInt

          public Integer getLocalMetadataNoteInt(String key)

    - #### putLocalMetadataNoteInt

          public void putLocalMetadataNoteInt(String key,
                                              int value)

    - #### getLocalMetadata

          public Map<String,String> getLocalMetadata()

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.